Jump to content
WrinklyNinja

[RELz] LOOT - Load Order Optimisation Tool

Recommended Posts

@pStyl3

I'm sorry at Log at Fallout 4. Skyrim is basically the same.

[15:21:39.047467] [info]: LOOT Version: 0.12.1+813f479a
[15:21:39.047898] [info]: LOOT API Version: 0.12.1+47cb6b5a

(ommited)

[15:22:12.046143] [error]: Failed to parse CEF query request "{"name":"applySort","plugin_names":{"plugins":["Fallout4.esm","DLCRobot.esm","DLCworkshop01.esm","DLCCoast.esm","DLCworkshop02.esm","DLCworkshop03.esm","DLCNukaWorld.esm","ccbgsfo4003-pipboy(camo01).esl","ccbgsfo4004-pipboy(camo02).esl","ccbgsfo4014-pipboy(white).esl","ccbgsfo4022-powerarmorskin(camo01).esl","ccbgsfo4023-powerarmorskin(camo02).esl","ccbgsfo4038-horsearmor.esl","DLCUltraHighResolution.esm","Unofficial Fallout 4 Patch.esp","ccbgsfo4033-powerarmorskinwhite.esl","ArmorKeywords.esm","HUDFramework.esm","NAC.esm","SimSettlements.esm","dD-Enhanced Blood.esp","dD - MoreBloodandBits.esp","RipArmOffWeapon.esp","MiscHairstyle.esp","LooksMirror.esp","mcgFemaleWalk.esp","mcgFemaleWalk-Granny-eng.esp","PlayerHeadTracking.esp","CWSS Redux.esp","PHT_CWSS_Patch.esp","FO4LODGen.esp","FO4LODGen-HighTrees.esp","FO4LODGen-FullModelLOD.esp","FO4LODGen-DLCWorkshop03.esp","FO4LODGen-DLCNukaWorld.esp","FO4LODGen-DLCCoast.esp","BURN baby, BURN!.esp","CROSS_GoreCrits.esp","CROSS_GoreCrits_FarHarborPatch.esp","EPO_LowHDR.esp","Immersive HUD.esp","Swinging Meat Bags.esp","PowerLinePhysics.esp","Realisticbullets-DLC.esp","Tracers - Light em up.esp","Sinking Bodies.esp","PipBoyShadows.esp","Female Tactical Armor.esp","PhotoLight.esp","PhotoLightColor-NeutralWhit

 

Share this post


Link to post
Share on other sites
19 hours ago, beelbo said:

does anyone know why it can be like this?

Loot Blur 1.png

I've never seen anything like that, I don't know how it's even possible for the dialog box to be so corrupted. Could it be an issue between Chromium and your graphics driver?

19 hours ago, julius_007_3 said:

Everything after the versions of "Loot_0.12.1-5-g02eee56_replace-protobuf" comes out like this, what exactly is it?

2017-12-23 (1).jpg

 

3 hours ago, julius_007_3 said:

@pStyl3

I'm sorry at Log at Fallout 4. Skyrim is basically the same.

[15:21:39.047467] [info]: LOOT Version: 0.12.1+813f479a
[15:21:39.047898] [info]: LOOT API Version: 0.12.1+47cb6b5a

(ommited)

[15:22:12.046143] [error]: Failed to parse CEF query request "{"name":"applySort","plugin_names":{"plugins":["Fallout4.esm","DLCRobot.esm","DLCworkshop01.esm","DLCCoast.esm","DLCworkshop02.esm","DLCworkshop03.esm","DLCNukaWorld.esm","ccbgsfo4003-pipboy(camo01).esl","ccbgsfo4004-pipboy(camo02).esl","ccbgsfo4014-pipboy(white).esl","ccbgsfo4022-powerarmorskin(camo01).esl","ccbgsfo4023-powerarmorskin(camo02).esl","ccbgsfo4038-horsearmor.esl","DLCUltraHighResolution.esm","Unofficial Fallout 4 Patch.esp","ccbgsfo4033-powerarmorskinwhite.esl","ArmorKeywords.esm","HUDFramework.esm","NAC.esm","SimSettlements.esm","dD-Enhanced Blood.esp","dD - MoreBloodandBits.esp","RipArmOffWeapon.esp","MiscHairstyle.esp","LooksMirror.esp","mcgFemaleWalk.esp","mcgFemaleWalk-Granny-eng.esp","PlayerHeadTracking.esp","CWSS Redux.esp","PHT_CWSS_Patch.esp","FO4LODGen.esp","FO4LODGen-HighTrees.esp","FO4LODGen-FullModelLOD.esp","FO4LODGen-DLCWorkshop03.esp","FO4LODGen-DLCNukaWorld.esp","FO4LODGen-DLCCoast.esp","BURN baby, BURN!.esp","CROSS_GoreCrits.esp","CROSS_GoreCrits_FarHarborPatch.esp","EPO_LowHDR.esp","Immersive HUD.esp","Swinging Meat Bags.esp","PowerLinePhysics.esp","Realisticbullets-DLC.esp","Tracers - Light em up.esp","Sinking Bodies.esp","PipBoyShadows.esp","Female Tactical Armor.esp","PhotoLight.esp","PhotoLightColor-NeutralWhit

 

Looks like I missed a bit when swapping out protobuf, thanks.

Share this post


Link to post
Share on other sites
2 hours ago, pStyl3 said:

I'm testing "loot_0.12.1-11-g7e9d643_dev.7z". After sorting, LOOT won't update the load order indices in the sidebar.

I can replicate this. :( Looks like it's been broken since 0.12.0.

Share this post


Link to post
Share on other sites

In upgrading to SSE, forgot to uninstall LOOT for Oldrim didn't I, which left a broken entry in W10 Apps & features.

But, never fear, regedit to the rescue and exported the entire uninstall key to N++:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\

LOOT was there, under {BF634210-A0D4-443F-A657-0DCE38040374}. Deleted it & all is good.

But that was done before installing LOOT for SSE- it's possible to make Inno check for previous uninstall entries- but the detection dialogs won't happen until the end of the install. So not tested, sorry.

Edit: When first running the install with the broken entry, the (now defunct) Oldrim path was detected, think all that had to be done was to change to the SSE path in the install dialog without going through the above rigmarole. :P

Share this post


Link to post
Share on other sites

There are reports over at Nexus, that LOOT's output to plugins.txt (atleast for FO4 and SSE) is horizontal instead of vertical, so like *Update.esm*Dawnguard.esm*HearthFires.esm*Dragonborn.esm  - instead of

*Update.esm
*Dawnguard.esm
*HearthFires.esm
*Dragonborn.esm

nova_25 provided his/her Debug Logs:

LOOTDebugLog
Part 1 : https://pastebin.com/WEViVur6
Part 2 : https://pastebin.com/BU50Y0im
Part 3 : https://pastebin.com/8ZTsHCiM

CEFDebugLog
https://pastebin.com/9MnAVeFN

 

I cannot verify this right now, I currently have no access to my main computer.

Share this post


Link to post
Share on other sites
2 minutes ago, pStyl3 said:

There are reports over at Nexus, that LOOT's output to plugins.txt (atleast for FO4 and SSE) is horizontal instead of vertical, so like *Update.esm*Dawnguard.esm*HearthFires.esm*Dragonborn.esm  - instead of


*Update.esm
*Dawnguard.esm
*HearthFires.esm
*Dragonborn.esm

nova_25 provided his/her Debug Logs:

LOOTDebugLog
Part 1 : https://pastebin.com/WEViVur6
Part 2 : https://pastebin.com/BU50Y0im
Part 3 : https://pastebin.com/8ZTsHCiM

CEFDebugLog
https://pastebin.com/9MnAVeFN

 

I cannot verify this right now, I currently have no access to my main computer.

That's almost certainly just Notepad not recognising the \n line endings, they work fine though.

Share this post


Link to post
Share on other sites
On 12/23/2017 at 1:36 AM, GlassDeviant said:

LOOT currently places "mjhKhajiitSpeakDLC - Hearthfires.esp" after "HearthfireMultiKid.esp".

This causes a problem with the third and subsequent adopted child where only the moving dialogue choice shows up, so you can't give them clothes, daggers, wooden swords, dolls, treats, etc., and other dialogue choices, which does not occur if "HearthfireMultiKid.esp" is placed right before "mjhKhajiitSpeakDLC - Hearthfires.esp".

A further problem interrupts the "asking for an allowance" dialogue, but I am still trying to figure out what exactly the problem is. I am not sure if it is related to load order.

 

On 12/23/2017 at 11:36 AM, pStyl3 said:

@GlassDeviant Could you provide Links where those mods can be downloaded from?

The first is from https://www.nexusmods.com/skyrim/mods/14513, the second is from https://www.nexusmods.com/skyrim/mods/29249.

In my load order they are adjacent so hopefully it won't be a major fix.

The "further problem" was my mistake, which occurred because I needed to re-sort the load order and forgot to manually rearrange the order of those two mods afterwards.

Share this post


Link to post
Share on other sites

hi, when i try to apply load list it gives an error.

here the debug:

"[00:07:27.467785] [warning]: Blocking load of resource at https://fonts.googleapis.com/css?family=Roboto+Mono:400,700|Roboto:400,300,300italic,400italic,500,500italic,700,700italic
[00:07:28.400733] [warning]: No masterlist present at "C:\Users\Soth\AppData\Local\LOOT\Fallout4\masterlist.yaml"
[00:07:34.881141] [error]: libloadorder failed to set the load order. Details: Access is denied. (os error 5)
[00:07:34.881141] [error]: libloadorder failed to set the load order. Details: Access is denied. (os error 5): Libloadorder error"

what can i do?

Share this post


Link to post
Share on other sites

so every time i open loot for SSE and tell it to sort my load order it changes it and i hit apply. but then i close it and try again and instead of it telling me that no changes were made it says that it was sorted again, this leads me to believe that my load order is not changing at all. and advice? 

Share this post


Link to post
Share on other sites

Sorry for the silence, work and an unrelated project have been keeping me busy...

On 13/01/2018 at 9:13 PM, seriousgigi said:

hi, when i try to apply load list it gives an error.

here the debug:

"[00:07:27.467785] [warning]: Blocking load of resource at https://fonts.googleapis.com/css?family=Roboto+Mono:400,700|Roboto:400,300,300italic,400italic,500,500italic,700,700italic
[00:07:28.400733] [warning]: No masterlist present at "C:\Users\Soth\AppData\Local\LOOT\Fallout4\masterlist.yaml"
[00:07:34.881141] [error]: libloadorder failed to set the load order. Details: Access is denied. (os error 5)
[00:07:34.881141] [error]: libloadorder failed to set the load order. Details: Access is denied. (os error 5): Libloadorder error"

what can i do?

 

29 minutes ago, Sithlord said:

I'm sorry if I'm zombifying this topic but I have the same problem since I updated LooT as seriousgigi.

Here's the log.

LOOTDebugLog.txt

That's generally due to your plugins.txt being read-only, make sure it isn't or LOOT won't be able to write anything.

On 17/01/2018 at 8:06 PM, Puffen0 said:

so every time i open loot for SSE and tell it to sort my load order it changes it and i hit apply. but then i close it and try again and instead of it telling me that no changes were made it says that it was sorted again, this leads me to believe that my load order is not changing at all. and advice? 

Please provide your debug logs, I can't really know what's going on without them.

Share this post


Link to post
Share on other sites

That's what I call a quick answer.

On the other side, I can't locate the text file O.o

 

Nope! Scratch that. Found it.

Next, file is reverting to Read-Only by itself.

 

:wallbash:

Share this post


Link to post
Share on other sites
17 minutes ago, Sithlord said:

That's what I call a quick answer.

On the other side, I can't locate the text file O.o

 

Nope! Scratch that. Found it.

Next, file is reverting to Read-Only by itself.

 

:wallbash:

It may be another modding utility setting it to read-only to "lock" the load order.

Share this post


Link to post
Share on other sites

Keleigh3000 and fortevn69 report on Nexus, that if they try to update their masterlist, the following error appears: "Error
Oh no, something went wrong! You can check your LOOTDebugLog.txt (you can get to it through the main menu) for more information."

Debug Logs

It seems to happen across different games (FNV, FO4, SLE, SSE).

 

Share this post


Link to post
Share on other sites
4 hours ago, Sithlord said:

NMM?

Perhaps. I don't have an exhaustive list, it's something you'll need to check yourself, but it'll generally be configurable.

40 minutes ago, pStyl3 said:

Keleigh3000 and fortevn69 report on Nexus, that if they try to update their masterlist, the following error appears: "Error
Oh no, something went wrong! You can check your LOOTDebugLog.txt (you can get to it through the main menu) for more information."

Debug Logs

It seems to happen across different games (FNV, FO4, SLE, SSE).

 

I think this indicates there was some failure setting up the TLS connection to GitHub, which might be caused by things such as someone trying to intercept their traffic. I guess a first test would be to see if they can access github.com in their web browser, if that works I'd expect LOOT to also work, unless their browser is accepting some certificates that LOOT isn't (i.e. certificates that aren't in Windows' certificate store).

Share this post


Link to post
Share on other sites
51 minutes ago, WrinklyNinja said:

 I guess a first test would be to see if they can access github.com in their web browser, if that works I'd expect LOOT to also work, unless their browser is accepting some certificates that LOOT isn't (i.e. certificates that aren't in Windows' certificate store).

Some more info because I've had to deal with a few dozen issues similar to this in the past couple of months.

Back in October, DigiCert finalized their acquisition of Symantec's SSL business and a mass of SSL reissues ensued (Certi-geddon). Some old (and unpatched current) operating systems and old browsers are having fits with the new certs due to missing goodies in their local cert stores.

And sure enough GitHub's cert just happens to be a DigiCert EV certificate:

Spoiler

5a67c86aef2a2_ScreenShot2018-01-23at5_40_10PM.png.e2a89fb1d487a9d648409ffbdd370772.png

It's not implausible that a Windows box that hasn't been patched in a while might have issues. 

Share this post


Link to post
Share on other sites
11 hours ago, WrinklyNinja said:

Sorry for the silence, work and an unrelated project have been keeping me busy...

 

That's generally due to your plugins.txt being read-only, make sure it isn't or LOOT won't be able to write anything.

Please provide your debug logs, I can't really know what's going on without them.

i have my debug log, sorry for the late response. restaurant week here in kc has had me busy 24/7. i think its the same problem im seeing with other post here

LOOTDebugLog.txt

 

EDIT: i located my plugins.txt but it is not listed as read only

Share this post


Link to post
Share on other sites
7 hours ago, Beermotor said:

Some more info because I've had to deal with a few dozen issues similar to this in the past couple of months.

Back in October, DigiCert finalized their acquisition of Symantec's SSL business and a mass of SSL reissues ensued (Certi-geddon). Some old (and unpatched current) operating systems and old browsers are having fits with the new certs due to missing goodies in their local cert stores.

And sure enough GitHub's cert just happens to be a DigiCert EV certificate:

  Reveal hidden contents

5a67c86aef2a2_ScreenShot2018-01-23at5_40_10PM.png.e2a89fb1d487a9d648409ffbdd370772.png

It's not implausible that a Windows box that hasn't been patched in a while might have issues. 

Good to know, thanks. I'd heard about the aquisition (and generally about Symantec SSL... dropping the ball to say the least), but didn't realise there were certificate changes.

2 hours ago, Puffen0 said:

i have my debug log, sorry for the late response. restaurant week here in kc has had me busy 24/7. i think its the same problem im seeing with other post here

LOOTDebugLog.txt

 

EDIT: i located my plugins.txt but it is not listed as read only

You need to enable debug logging so that there's more than just one line in your log.

Share this post


Link to post
Share on other sites
12 hours ago, WrinklyNinja said:

Good to know, thanks. I'd heard about the aquisition (and generally about Symantec SSL... dropping the ball to say the least), but didn't realise there were certificate changes.

You need to enable debug logging so that there's more than just one line in your log.

here, i enabled debug logging

LOOTDebugLog.txt

Share this post


Link to post
Share on other sites

I wonder why LOOT place the Followers Can Loot mod above a companion mod like AFT, when the description on Nexus stated the opposite, below any companion mod such as AFT. 

Quote

This mod should be below any companion mods  and unlimited follower mods

 

I know I use an outdated LOOT, but that shouldn't cause a mod issue like this.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Support us on Patreon!

×